package de.jatitv.commandguiv2.Spigot.cmdManagement.register;

import de.jatitv.commandguiv2.Spigot.Main;

import de.jatitv.commandguiv2.Util;
import net.t2code.lib.Spigot.Lib.messages.send;
import net.t2code.lib.Spigot.Lib.minecraftVersion.NMSVersion;
import org.bukkit.Bukkit;
import org.bukkit.plugin.Plugin;
import org.eclipse.sisu.space.ClassFinder;

import java.io.File;


public class AliasRegister {
    public static void onRegister() {
        Plugin plugin = Main.plugin;
        send.debug(plugin, Bukkit.getServer().getClass().getPackage().getName());
        File f = new File(Main.getPath() + "/GUIs/");
        File[] fileArray = f.listFiles();
        if (Main.allAliases.toString().equals("[]")) {
            send.console(Util.getSpigot() + " §4No GUI files available");
            return;
        }
        for (String alias : Main.allAliases) {
            if (Main.guiHashMap.get(alias) != null) {
                if (Main.guiHashMap.get(alias).Command_Alias_Enable) {
                    String version;
                    if (NMSVersion.v1_8_R1) {
                        send.debug(plugin, "Alias register 1.8_R1");
                        org.bukkit.craftbukkit.v1_8_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_8_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_8_R2) {
                        send.debug(plugin, "Alias register 1.8_R2");
                        org.bukkit.craftbukkit.v1_8_R2.CraftServer craftServer = (org.bukkit.craftbukkit.v1_8_R2.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_8_R3) {
                        send.debug(plugin, "Alias register 1.8_R3");
                        org.bukkit.craftbukkit.v1_8_R3.CraftServer craftServer = (org.bukkit.craftbukkit.v1_8_R3.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_9_R1) {
                        send.debug(plugin, "Alias register 1.9_R1");
                        org.bukkit.craftbukkit.v1_9_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_9_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_9_R2) {
                        send.debug(plugin, "Alias register 1.9_R2");
                        org.bukkit.craftbukkit.v1_9_R2.CraftServer craftServer = (org.bukkit.craftbukkit.v1_9_R2.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_10_R1) {
                        send.debug(plugin, "Alias register 1.10_R1");
                        org.bukkit.craftbukkit.v1_10_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_10_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_11_R1) {
                        send.debug(plugin, "Alias register 1.11_R1");
                        org.bukkit.craftbukkit.v1_11_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_11_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_12_R1) {
                        send.debug(plugin, "Alias register 1.12_R1");
                        org.bukkit.craftbukkit.v1_12_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_12_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_13_R1) {
                        send.debug(plugin, "Alias register 1.13_R1");
                        org.bukkit.craftbukkit.v1_13_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_13_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_13_R2) {
                        send.debug(plugin, "Alias register 1.13_R2");
                        org.bukkit.craftbukkit.v1_13_R2.CraftServer craftServer = (org.bukkit.craftbukkit.v1_13_R2.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_14_R1) {
                        send.debug(plugin, "Alias register 1.14_R1");
                        org.bukkit.craftbukkit.v1_14_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_14_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_15_R1) {
                        send.debug(plugin, "Alias register 1.15_R1");
                        org.bukkit.craftbukkit.v1_15_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_15_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_16_R1) {
                        send.debug(plugin, "Alias register 1.16_R1");
                        org.bukkit.craftbukkit.v1_16_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_16_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_16_R2) {
                        send.debug(plugin, "Alias register 1.16_R2");
                        org.bukkit.craftbukkit.v1_16_R2.CraftServer craftServer = (org.bukkit.craftbukkit.v1_16_R2.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_16_R3) {
                        send.debug(plugin, "Alias register 1.16_R3");
                        org.bukkit.craftbukkit.v1_16_R3.CraftServer craftServer = (org.bukkit.craftbukkit.v1_16_R3.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_17_R1) {
                        send.debug(plugin, "Alias register 1.17_R1");
                        org.bukkit.craftbukkit.v1_17_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_17_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_18_R1) {
                        send.debug(plugin, "Alias register 1.18_R1");
                        org.bukkit.craftbukkit.v1_18_R1.CraftServer craftServer = (org.bukkit.craftbukkit.v1_18_R1.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                    if (NMSVersion.v1_18_R2) {
                        send.debug(plugin, "Alias register 1.18_R2");
                        org.bukkit.craftbukkit.v1_18_R2.CraftServer craftServer = (org.bukkit.craftbukkit.v1_18_R2.CraftServer) plugin.getServer();
                        craftServer.getCommandMap().register(alias, new RegisterCommand(alias));
                    }
                }
            }
        }
    }
}
